Bug 999072 - Use a single servlet dependency and a single ejb dependency
Use a single servlet dependency and a single ejb dependency
Status: CLOSED CURRENTRELEASE
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Build and Assembly (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ER3
: 6.0.0
Assigned To: Geoffrey De Smet
Lukáš Petrovický
:
Depends On:
Blocks: 989519
  Show dependency treegraph
 
Reported: 2013-08-20 13:01 EDT by Geoffrey De Smet
Modified: 2014-08-06 16:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-08-06 16:20:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Geoffrey De Smet 2013-08-20 13:01:55 EDT
Currently we depend on
- javax.servlet:servlet-api:2.5
- org.jboss.spec.javax.ejb:jboss-ejb-api_3.1_spec:1.0.2.Final

Similar problem for EJB.
Comment 2 Geoffrey De Smet 2013-08-23 09:51:29 EDT
Done. Standarized on org.jboss.spec:jboss-* artifacts for
ejb-api
el-api
servlet-api
jsp-api
Comment 3 Lukáš Petrovický 2013-09-19 04:33:47 EDT
This doesn't affect productized artifacts, as we inherit these JARs from the containers. The fix in community is therefore sufficient, VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.